<?php

namespace Litecms\Story\Seeders;

use DB;
use Illuminate\Database\Seeder;

class StoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('stories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'story.story.view',
                'name'      => 'View Story',
            ],
            [
                'slug'      => 'story.story.create',
                'name'      => 'Create Story',
            ],
            [
                'slug'      => 'story.story.edit',
                'name'      => 'Update Story',
            ],
            [
                'slug'      => 'story.story.delete',
                'name'      => 'Delete Story',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/story/story',
                'name'        => 'Story',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/story/story',
                'name'        => 'Story',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'story',
                'name'        => 'Story',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Story',
                'module'    => 'Story',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'story.story.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
